Subject: Re: [PATCH] natsemi: long cable, short cable

From: Jeff Garzik <[email-masked]>
Date: Fri, 11 Feb 2005 17:07:25 -0500

Olaf Kirch wrote:
> The current version of the natsemi driver comes with a workaround
> for a hardware problem that causes link failures on short cables.
> Unfortunately, this workaround causes massive link failures on _long_
> cables (270-300ft). This patch adds a module parameter to disable
> the workaround if required.
> 
> Signed-off-by: Olaf Kirch <[email-masked]>

I grudgingly applied this.

Hopefully someone will create a private ioctl or ethtool option for 
this, rather than a module option.  This setting needs to be per-interface.

	Jeff